camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Claus Ibsen (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (CAMEL-9689) Websocket Component Failing to Install in Karaf
Date Fri, 11 Mar 2016 08:14:03 GMT

     [ https://issues.apache.org/jira/browse/CAMEL-9689?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Claus Ibsen updated CAMEL-9689:
-------------------------------
    Fix Version/s: 2.18.0

> Websocket Component Failing to Install in Karaf
> -----------------------------------------------
>
>                 Key: CAMEL-9689
>                 URL: https://issues.apache.org/jira/browse/CAMEL-9689
>             Project: Camel
>          Issue Type: Bug
>          Components: camel-websocket, karaf
>    Affects Versions: 2.16.2
>         Environment: Oracle Java 8, Apache Karaf 4.0.4
>            Reporter: Trey Sargent
>            Priority: Minor
>             Fix For: 2.18.0
>
>
> When installing the camel-websocket component in Karaf 4.0.4 the process hangs.
> When I try to install via Karaf's hot deploy I get:
> karaf@root()> ERROR: Bundle org.apache.camel.camel-websocket [94] Error starting file:/opt/apache-karaf-4.0.4/deploy/camel-websocket-2.16.2.jar
(org.osgi.framework.BundleException: Unable to resolve org.apache.camel.camel-websocket [94](R
94.0): missing requirement [org.apache.camel.camel-websocket [94](R 94.0)] osgi.wiring.package;
(&(osgi.wiring.package=javax.servlet)(version>=2.6.0)(!(version>=3.0.0))) Unresolved
requirements: [[org.apache.camel.camel-websocket [94](R 94.0)] osgi.wiring.package; (&(osgi.wiring.package=javax.servlet)(version>=2.6.0)(!(version>=3.0.0)))])
org.osgi.framework.BundleException: Unable to resolve org.apache.camel.camel-websocket [94](R
94.0): missing requirement [org.apache.camel.camel-websocket [94](R 94.0)] osgi.wiring.package;
(&(osgi.wiring.package=javax.servlet)(version>=2.6.0)(!(version>=3.0.0))) Unresolved
requirements: [[org.apache.camel.camel-websocket [94](R 94.0)] osgi.wiring.package; (&(osgi.wiring.package=javax.servlet)(version>=2.6.0)(!(version>=3.0.0)))]
at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4111) at org.apache.felix.framework.Felix.startBundle(Felix.java:2117)
at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1371) at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:308)
at java.lang.Thread.run(Thread.java:745)



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message